@echo off

set INTERFACE=Wi-Fi
set IP=192.168.1.20
set NETMASK=255.255.255.0
set GATEWAY=192.168.1.1
set DNS1=192.168.1.252


netsh interface ip set address name="%INTERFACE%" static %IP% %NETMASK% %GATEWAY%
netsh interface ip set dnsservers name="%INTERFACE%" static %DNS1% primary no

echo Configurando IP
echo.
echo Interface %INTERFACE%
echo IP %IP%
echo Mascara %NETMASK%
echo Gateway %GATEWAY%
echo DNS1 %DNS1%

ping -n 4 -w 1000 0.0.0.1 > nul

ipconfig

pause